# Get capabilities

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/capabilities`

Retrieve the payment capabilities of the current instance. This endpoint is available within the merchant instance context and does not require an instance ID in the path.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `currency` | query | string | no | Filter capabilities by currency |

## Responses

### 200: Successful operation

```json
{
  "capabilities": {
    "id": "string",
    "payments_ready": true,
    "currencies": [
      "string"
    ],
    "token_gateways": [
      "string"
    ],
    "payment_method_types": {}
  }
}
```

### 401: Unauthorized

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/capabilities \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getcapabilities/